Retrieve HR Application History by Code

Prev Next
Get
/hcm-rest-api/rest/1/hrapphistory

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Select By Code
  • By UUID

Select By Code

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
AppNo Application Number 30354
StatusCode Status Code COMPLETED

By UUID

This is an optional finder for querying a specific Application Histor by row ID.

Parameter Description Sample
/VUUID The VUuid attribute is the Unique row ID /hcm-rest-api/rest/1/hrapphistory/EC84C63937832A15E05316821FAC5394
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleselectByCode;AppNo=30354,StatusCode=COMPLETED
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleHrapphistVUuid:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
{
  "items": [
    {
      "HrapphistAppNo": "30354",
      "HrapphistDate": "2022-11-02T21:45:16Z",
      "HrapphistUser": "30354",
      "HrapphistActionCode": "APPLIED",
      "HrapphistNotes": "Applied by Gabriel See",
      "HrapphistStatusCode": "COMPLETED",
      "HrapphistDueDate": null,
      "HrapphistAlertDate": null,
      "HrapphistComplDate": "2022-11-02T21:46:34Z",
      "HrapphistComplNotes": null,
      "HrapphistUpdatedBy": "DAR",
      "HrapphistPriority": null,
      "HrapphistVUuid": "EC84C19BA445575FE05316821FAC4B65",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory/EC84C19BA445575FE05316821FAC4B65",
          "name": "hrapphistory",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory/EC84C19BA445575FE05316821FAC4B65",
          "name": "hrapphistory",
          "kind": "item"
        }
      ]
    },
    {
      "HrapphistAppNo": "30354",
      "HrapphistDate": "2022-11-02T21:46:34Z",
      "HrapphistUser": "Workato Access",
      "HrapphistActionCode": "HIRED",
      "HrapphistNotes": "Hired by Workato Access",
      "HrapphistStatusCode": "COMPLETED",
      "HrapphistDueDate": null,
      "HrapphistAlertDate": null,
      "HrapphistComplDate": "2022-11-02T21:46:34Z",
      "HrapphistComplNotes": null,
      "HrapphistUpdatedBy": "DAR",
      "HrapphistPriority": null,
      "HrapphistVUuid": "EC84C63937832A15E05316821FAC5394",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory/EC84C63937832A15E05316821FAC5394",
          "name": "hrapphistory",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory/EC84C63937832A15E05316821FAC5394",
          "name": "hrapphistory",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 2,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory",
      "name": "hrapphistory",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved